#ifndef APPLICATION_H
#define APPLICATION_H

#include "state.h"
#include <memory>
#include <map>

class Application
{
public:
    Application();

    void registerStates();
    void run();

private:
    sf::RenderWindow render_window;

    std::map<State::Tag, StateUPtr> map_states;
    State::Tag active_state_tag;
};

#endif // APPLICATION_H
